package de.unikoblenz.fgbks.core.dmn.verification.verifier.types;

import de.unikoblenz.fgbks.base.domain.Description;
import de.unikoblenz.fgbks.base.domain.Name;

public abstract class AbstractVerificationType implements VerificationType {

  protected Name name;
  protected Description description;

  protected AbstractVerificationType(Name name, Description description) {
    this.name = name;
    this.description = description;
  }

  @Override
  public Name getName() {
    return name;
  }

  @Override
  public Description getDescription() {
    return description;
  }
}
